# Generated by Django 2.2.24 on 2022-03-28 12:22

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0217_auto_20220328_1222'),
        ('archaeological_warehouse', '0112_auto_20210308_1628'),
    ]

    operations = [
        migrations.AddField(
            model_name='container',
            name='geodata',
            field=models.ManyToManyField(blank=True, related_name='related_items_archaeological_warehouse_container', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='container',
            name='main_geodata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_related_items_archaeological_warehouse_container', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='historicalwarehouse',
            name='main_geodata',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='warehouse',
            name='geodata',
            field=models.ManyToManyField(blank=True, related_name='related_items_archaeological_warehouse_warehouse', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AddField(
            model_name='warehouse',
            name='main_geodata',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_related_items_archaeological_warehouse_warehouse', to='ishtar_common.GeoVectorData'),
        ),
        migrations.AlterField(
            model_name='container',
            name='cached_weight',
            field=models.FloatField(blank=True, help_text='Entered weight if available otherwise calculated weight.', null=True, verbose_name='Cached weight (g)'),
        ),
        migrations.AlterField(
            model_name='container',
            name='container_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='containers', to='archaeological_warehouse.ContainerType', verbose_name='Container type'),
        ),
        migrations.AlterField(
            model_name='container',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='container',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='container',
            name='last_modified',
            field=models.DateTimeField(),
        ),
        migrations.AlterField(
            model_name='container',
            name='responsibility',
            field=models.ForeignKey(blank=True, help_text='Warehouse that owns the container', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='responsibilities', to='archaeological_warehouse.Warehouse', verbose_name='Responsibility'),
        ),
        migrations.AlterField(
            model_name='container',
            name='responsible',
            field=models.ForeignKey(blank=True, help_text='Deprecated - do not use', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owned_containers', to='archaeological_warehouse.Warehouse', verbose_name='Responsible warehouse'),
        ),
        migrations.AlterField(
            model_name='container',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AlterField(
            model_name='container',
            name='weight',
            field=models.FloatField(blank=True, null=True, verbose_name='Measured weight (g)'),
        ),
        migrations.AlterField(
            model_name='containertype',
            name='stationary',
            field=models.BooleanField(default=False, help_text='Container that will not usually be moved. Ex: building, room, span, shelf. Stationary containers are not automatically numbered.', verbose_name='Stationary'),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='last_modified',
            field=models.DateTimeField(),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='mobile_phone',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Mobile phone'),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='phone',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone'),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='phone2',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone description 2'),
        ),
        migrations.AlterField(
            model_name='historicalwarehouse',
            name='phone3',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone 3'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='data',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='history_m2m',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='last_modified',
            field=models.DateTimeField(),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='mobile_phone',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Mobile phone'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='phone',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='phone2',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone description 2'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='phone3',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone 3'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='precise_town',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ishtar_common.Town', verbose_name='Town (precise)'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AlterField(
            model_name='warehouse',
            name='warehouse_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='archaeological_warehouse.WarehouseType', verbose_name='Warehouse type'),
        ),
        migrations.AlterField(
            model_name='warehousedivisionlink',
            name='container_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='archaeological_warehouse.ContainerType'),
        ),
        migrations.AlterField(
            model_name='warehousedivisionlink',
            name='division',
            field=models.ForeignKey(blank=True, help_text='Deprecated - do not use', null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_warehouse.WarehouseDivision'),
        ),
    ]
